@Echo off
Rem ================================
Rem    LOGANA TARTALOM-ELEMZ (EN)
Rem           2021.08.24.
Rem ================================

REM DOS:     [RVZTR TKRFRGP -  rvztr tk"rfrgp]
REM Windows: [+RV=ZT-R T-KRF-RG-P - rvztr tkrfrgp]

REM Paramter Ellenrzs
IF '%1'=='' GOTO HIBA

Echo ==================================
Echo    Logana Content Analysis (EN)
Echo ==================================
TYPE 01_A\CRLF.TXT

Rem ===============================
Echo 1.) = Doc-Txt conversion =
Rem ===============================
TYPE 01_A\CRLF.TXT

Echo Please wait a few minutes
  Call 01_A\DOCTO.exe -f %1 -O 01_A\01_AAA.txt -T wdFormatText -E 1250  >nul
Copy 01_A\01_AAA.txt 01_SampleText.txt  >nul
Del 01_A\01_AAA.txt  >nul
Echo END: 1.) = Doc-Txt conversion =
TYPE 01_A\CRLF.TXT

Rem ===============================
Echo 2.) = Keyword collection =
Rem ===============================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B50\02_BBB.txt  >nul
CD 02_B50
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe >nul

CD ..
Copy 02_B50\02_KeyWords-EN_50.txt 02_KeyWords-EN_50.txt  >nul
Del 02_B50\02_BBB.txt  >nul
Del 02_B50\02_KeyWords-EN_50.txt  >nul
Echo END: 2.) = Keyword collection (50) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B52\02_BBB.txt  >nul
CD 02_B52
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe

CD ..
Copy 02_B52\02_KeyWords-EN_52.txt 02_KeyWords-EN_52.txt  >nul
Del 02_B52\02_BBB.txt  >nul
Del 02_B52\02_KeyWords-EN_52.txt  >nul
Echo END: 2.) = Keyword collection (52) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B55\02_BBB.txt  >nul
CD 02_B55
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe

CD ..
Copy 02_B55\02_KeyWords-EN_55.txt 02_KeyWords-EN_55.txt  >nul
Del 02_B55\02_BBB.txt  >nul
Del 02_B55\02_KeyWords-EN_55.txt  >nul
Echo END: 2.) = Keyword collection (55) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B58\02_BBB.txt  >nul
CD 02_B58
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe

CD ..
Copy 02_B58\02_KeyWords-EN_58.txt 02_KeyWords-EN_58.txt  >nul
Del 02_B58\02_BBB.txt  >nul
Del 02_B58\02_KeyWords-EN_58.txt  >nul
Echo END: 2.) = Keyword collection (58) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B60\02_BBB.txt  >nul
CD 02_B60
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe

CD ..
Copy 02_B60\02_KeyWords-EN_60.txt 02_KeyWords-EN_60.txt  >nul
Del 02_B60\02_BBB.txt  >nul
Del 02_B60\02_KeyWords-EN_60.txt  >nul
Echo END: 2.) = Keyword collection (60) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Copy 01_SampleText.txt 02_B70\02_BBB.txt  >nul
CD 02_B70
Copy !!-REPORT-base + !!-REPORT-extend ANAL0G4.INI >nul
Echo Please wait a few minutes
   ANAL0G4X.exe

CD ..
Copy 02_B70\02_KeyWords-EN_70.txt 02_KeyWords-EN_70.txt  >nul
Del 02_B70\02_BBB.txt  >nul
Del 02_B70\02_KeyWords-EN_70.txt  >nul
Echo END: 2.) = Keyword collection (70) =
rem ========================================================================
TYPE 01_A\CRLF.TXT

Rem ===========================================
Echo 3.) = Keyword environment collection =
Rem ===========================================
TYPE 01_A\CRLF.TXT

Rem CD ..
Copy 01_SampleText.txt 03_C\01_SampleText.txt  >nul
Copy 02_KeyWords-EN_50.txt 03_C\02_KeyWords-EN_50.txt  >nul
Copy 02_KeyWords-EN_52.txt 03_C\02_KeyWords-EN_52.txt  >nul
Copy 02_KeyWords-EN_55.txt 03_C\02_KeyWords-EN_55.txt  >nul
Copy 02_KeyWords-EN_58.txt 03_C\02_KeyWords-EN_58.txt  >nul
Copy 02_KeyWords-EN_60.txt 03_C\02_KeyWords-EN_60.txt  >nul
Copy 02_KeyWords-EN_70.txt 03_C\02_KeyWords-EN_70.txt  >nul

CD 03_C
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_50.txt 03_KeyEnvironment-EN_50.txt  >nul
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_52.txt 03_KeyEnvironment-EN_52.txt  >nul
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_55.txt 03_KeyEnvironment-EN_55.txt  >nul
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_58.txt 03_KeyEnvironment-EN_58.txt  >nul
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_60.txt 03_KeyEnvironment-EN_60.txt  >nul
ANAKEYENV.exe 01_SampleText.txt 02_KeyWords-EN_70.txt 03_KeyEnvironment-EN_70.txt  >nul

CD ..
Copy 03_C\03_KeyEnvironment-EN_50.txt 03_KeyEnvironment-EN_50.txt  >nul
Copy 03_C\03_KeyEnvironment-EN_52.txt 03_KeyEnvironment-EN_52.txt  >nul
Copy 03_C\03_KeyEnvironment-EN_55.txt 03_KeyEnvironment-EN_55.txt  >nul
Copy 03_C\03_KeyEnvironment-EN_58.txt 03_KeyEnvironment-EN_58.txt  >nul
Copy 03_C\03_KeyEnvironment-EN_60.txt 03_KeyEnvironment-EN_60.txt  >nul
Copy 03_C\03_KeyEnvironment-EN_70.txt 03_KeyEnvironment-EN_70.txt  >nul

Del 03_C\01_SampleText.txt  >nul
Del 03_C\02_KeyWords-EN_50.txt  >nul
Del 03_C\02_KeyWords-EN_52.txt  >nul
Del 03_C\02_KeyWords-EN_55.txt  >nul
Del 03_C\02_KeyWords-EN_58.txt  >nul
Del 03_C\02_KeyWords-EN_60.txt  >nul
Del 03_C\02_KeyWords-EN_70.txt  >nul
Del 03_C\03_KeyEnvironment-EN_50.txt  >nul
Del 03_C\03_KeyEnvironment-EN_52.txt  >nul
Del 03_C\03_KeyEnvironment-EN_55.txt  >nul
Del 03_C\03_KeyEnvironment-EN_58.txt  >nul
Del 03_C\03_KeyEnvironment-EN_60.txt  >nul
Del 03_C\03_KeyEnvironment-EN_70.txt  >nul

Echo END: 3.) = Keyword environment collection =
REM Ren 01_MintaText.doc %1 

TYPE 03_C\@Error.txt
GOTO ENDE;

:HIBA
TYPE 01_A\ErrMsg-1.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\ErrMsg-2.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\ErrMsg-3.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\ErrMsg-4.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\ErrMsg-5.TXT
TYPE 01_A\CRLF.TXT
TYPE 01_A\CRLF.TXT

:ENDE
Echo Push the Enter...
Pause > Nul
Del 03_C\@Error.txt  >nul
